org.optaplanner.core.impl.localsearch.event

## Interface LocalSearchPhaseLifecycleListener<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation
  All Superinterfaces:
    EventListener, SolverLifecycleListener<Solution_>
  All Known Subinterfaces:
    Acceptor, FinalistPodium, LocalSearchForager
  All Known Implementing Classes:
    AbstractAcceptor, AbstractFinalistPodium, AbstractLocalSearchForager, AbstractTabuAcceptor, AcceptedLocalSearchForager, CompositeAcceptor, DefaultLocalSearchPhase, EntityTabuAcceptor, GreatDelugeAcceptor, HighestScoreFinalistPodium, HillClimbingAcceptor, LateAcceptanceAcceptor, LocalSearchPhaseLifecycleListenerAdapter, MoveTabuAcceptor, SimulatedAnnealingAcceptor, SolutionTabuAcceptor, StepCountingHillClimbingAcceptor, StrategicOscillationByLevelFinalistPodium, ValueTabuAcceptor

      public interface LocalSearchPhaseLifecycleListener<Solution_>
      extends SolverLifecycleListener<Solution_>

  See Also:
    `LocalSearchPhaseLifecycleListenerAdapter`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `phaseEnded(LocalSearchPhaseScope<Solution_> phaseScope)`
    `void` | `phaseStarted(LocalSearchPhaseScope<Solution_> phaseScope)`
    `void` | `stepEnded(LocalSearchStepScope<Solution_> stepScope)`
    `void` | `stepStarted(LocalSearchStepScope<Solution_> stepScope)`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Method Detail

    - #### phaseStarted

          void phaseStarted(LocalSearchPhaseScope<Solution_> phaseScope)

    - #### stepStarted

          void stepStarted(LocalSearchStepScope<Solution_> stepScope)

    - #### stepEnded

          void stepEnded(LocalSearchStepScope<Solution_> stepScope)

    - #### phaseEnded

          void phaseEnded(LocalSearchPhaseScope<Solution_> phaseScope)

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.